#
# spec file for package thunar
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           thunar
Version:        1.3.0
Release:        1.4.1
License:        GPLv2+
Summary:        Fast and Easy to Use File Manager for the Xfce Desktop Environment
Url:            http://thunar.xfce.org/
Group:          Productivity/File utilities
Source:         Thunar-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc
Patch0:         %{name}-fix-desktop-files.patch
Patch1:         %{name}-CVE-2011-1588.patch
BuildRequires:  fdupes
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libpng-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfcegui4-1.0)
BuildRequires:  update-desktop-files
BuildRequires:  xfconf
Recommends:     %{name}-lang = %{version}
Recommends:     thunar-volman
Recommends:     tumbler
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Thunar a file manager for the Xfce desktop environment which has been designed
from the ground up to be fast and easy to use. It provides a clean, intuitive,
and fully accessible user interface and does not include any confusing or
useless options by default. Thunar is fast and responsive with good startup and
folder load times.

%package -n libthunarx-2-0
License:        GPLv2+
Summary:        Thunar Extension Library
Group:          System/Libraries

%description  -n libthunarx-2-0
Thunar a file manager for the Xfce desktop environment which has been designed
from the ground up to be fast and easy to use. It provides a clean, intuitive,
and fully accessible user interface and does not include any confusing or
useless options by default. Thunar is fast and responsive with good startup and
folder load times.

This package contains the Thunar extension library.

%package doc
License:        GPLv2+
Summary:        Documentation for Thunar
Group:          Documentation/HTML
BuildArch:      noarch
Requires:       %{name} = %{version}

%description doc
Thunar a file manager for the Xfce desktop environment which has been designed
from the ground up to be fast and easy to use. It provides a clean, intuitive,
and fully accessible user interface and does not include any confusing or
useless options by default. Thunar is fast and responsive with good startup and
folder load times.

This package provides the user documentation for Thunar.


%package devel
License:        GPLv2+
Summary:        Development Files for Thunar
Group:          Development/Libraries/C and C++
Requires:       libpng-devel
Requires:       libthunarx-2-0 = %{version}
Requires:       pkgconfig(dbus-glib-1)
Requires:       pkgconfig(exo-1)
Requires:       pkgconfig(gconf-2.0)
Requires:       pkgconfig(glib-2.0)
Requires:       pkgconfig(gtk+-2.0)
Requires:       pkgconfig(libexif)
Requires:       pkgconfig(libstartup-notification-1.0)
Requires:       pkgconfig(libxfce4panel-1.0)
Requires:       pkgconfig(libxfcegui4-1.0)
Requires:       %{name} = %{version}
Recommends:     %{name}-devel-doc = %{version}

%description devel
Thunar a file manager for the Xfce desktop environment which has been designed
from the ground up to be fast and easy to use. It provides a clean, intuitive,
and fully accessible user interface and does not include any confusing or
useless options by default. Thunar is fast and responsive with good startup and
folder load times.

This package provides the development files needed for developing extensions for
Thunar.

%package devel-doc
License:        GPLv2+
Summary:        Developer Documentation for Thunar
Group:          Documentation/HTML
BuildArch:      noarch
Requires:       %{name}-devel = %{version}

%description devel-doc
Thunar a file manager for the Xfce desktop environment which has been designed
from the ground up to be fast and easy to use. It provides a clean, intuitive,
and fully accessible user interface and does not include any confusing or
useless options by default. Thunar is fast and responsive with good startup and
folder load times.

This package provides the developer documentation for Thunar.



%lang_package
%prep
%setup -q  -n Thunar-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure \
    --with-helper-path-prefix=%{_libexecdir} \
    --docdir=%{_defaultdocdir}/%{name} \
    --enable-dbus \
    --enable-exif \
    --enable-startup-notification \
    --enable-pcre \
    --enable-gtk-doc \
    --disable-static
make %{?_smp_mflags} V=1

%install
%make_install
install -D -p -m 644 README ChangeLog AUTHORS FAQ HACKING THANKS TODO \
    %{buildroot}%{_defaultdocdir}/%{name}
%suse_update_desktop_file -i Thunar System Utility Core GTK FileManager
%suse_update_desktop_file -i Thunar-bulk-rename System Utility Core GTK Filesystem
%suse_update_desktop_file thunar-settings
%suse_update_desktop_file -i Thunar-folder-handler System Utility Core GTK FileManager
%find_lang Thunar
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/thunarx-2/*.la
rm -f %{buildroot}%{_libdir}/xfce4/panel/plugins/*.la
( cd %{buildroot}%{_mandir}/man1/ && ln -sf Thunar.1* \
    $(printf "%s\n" Thunar.1* | tr [:upper:] [:lower:]) )
%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%post -n libthunarx-2-0 -p /sbin/ldconfig

%postun -n libthunarx-2-0 -p /sbin/ldconfig

%if 0%{?suse_version} >= 1140

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg/Thunar
%config %{_sysconfdir}/xdg/Thunar/uca.xml
%{_bindir}/Thunar
%{_bindir}/thunar
%{_bindir}/thunar-settings
%dir %{_libexecdir}/Thunar
%{_libexecdir}/Thunar/ThunarBulkRename
%{_libexecdir}/Thunar/ThunarHelp
%{_libexecdir}/Thunar/thunar-sendto-email
%{_libdir}/thunarx-2
%{_libdir}/xfce4/panel/plugins/libthunar-tpa.so
%{_datadir}/Thunar
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.xfce.FileManager.service
%{_datadir}/dbus-1/services/org.xfce.Thunar.service
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/icons/hicolor/*/*/*/*.png
%{_datadir}/pixmaps/Thunar
%{_datadir}/xfce4/panel-plugins/thunar-tpa.desktop
%doc %{_mandir}/man1/Thunar.1*
%doc %{_mandir}/man1/thunar.1*

%files -n libthunarx-2-0
%defattr(-,root,root)
%{_libdir}/libthunarx-2.so.*

%files doc
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}

%files devel
%defattr(-,root,root)
%dir %{_includedir}/thunarx-2
%dir %{_includedir}/thunarx-2/thunarx
%{_includedir}/thunarx-2/thunarx/*.h
%{_libdir}/libthunarx-2.so
%{_libdir}/pkgconfig/thunarx-2.pc

%files devel-doc
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/thunarx

%files lang -f Thunar.lang

%changelog
* Tue May 17 2011 prusnak@opensuse.org
- fixed CVE-2011-1588 [bnc#687874]
* Fri Feb 18 2011 gber@opensuse.org
- update to version 1.3.0
  - only change the Name field when renaming desktop files
  - force desktop file reload after changing the Name field
  - allow installation of helper scripts in a custom location using
    the --with-helper-path-prefix=PATH configure option
  - improve thumbnailing by avoid sending thumbnail requests while
    the user is scrolling in a directory
  - cancel thumbnail requests when leaving a directory
  - avoid regenerating thumbnails when files are copied, moved,
    linked or trashed
  - update the thumbnail cache when files are deleted permanently
  - bugfixes
  - translation updates
* Thu Feb 17 2011 gber@opensuse.org
- call %%desktop_database_post/un
- call %%icon_theme_cache_post/un
* Thu Feb  3 2011 gber@opensuse.org
- update to version 1.2.1
  - include stock_folder-{copy,move}.png icons
  - bugfixes
* Mon Jan 17 2011 gber@opensuse.org
- update to version 1.2.0
  - bugfixes
* Fri Jan 14 2011 gber@opensuse.org
- recommend rather than require -lang subpackage
- include manpage in main package
* Tue Jan 11 2011 gber@opensuse.org
- remove dependency on xfconf
* Sun Jan  9 2011 gber@opensuse.org
- update to version 1.1.6
  - bugfixes
  - translation updates
- corrected URL
- recommend tumbler
- cleaned up thunar-rpmlintrc
* Wed Dec 29 2010 gber@opensuse.org
- fix patch level and revert change to Thunar-bulk-rename.desktop
  until %%%%suse_update_desktop_file is fixed
* Wed Dec 29 2010 gber@opensuse.org
- fix category of Thunar-bulk-rename.desktop
* Sun Dec 26 2010 gber@opensuse.org
- cleanup
* Sat Dec 25 2010 gber@opensuse.org
- improved summaries/descriptions
- corrected group
- require versioned -lang subpackage
- make the -devel subpackage recommend the -doc subpackage
- symlink thunar -> Thunar manpage
- drop obsolete build dependency on fam-devel
- recommend thunar-volman rather than ivman
- mark documentation as such
- split developer and user documentation
- build -doc subpackage as noarch
- do not install user documentation under /usr/share/doc
* Wed Dec 15 2010 prusnak@opensuse.org
- fix filelist
* Sun Dec  5 2010 prusnak@opensuse.org
- updated to 1.1.5
  - Make .desktop entries installed by Thunar validate against
    desktop-file-utils 0.16 (bug #6655). Patch by Samuli Suominen.
  - Fix missing instruction to load the sendto model (bug #6762).
  - Fix the sample D-Bus client for the org.xfce.FileManager interface.
  - Fix home folder being displayed as "Desktop" if $HOME is set to
    /home/username/Desktop.
  - Fix outdated Thunar D-Bus API usage in the trash panel applet.
  - Create user dirs instead of showing an error if they don't exist.
  - Allow scrolling in the 'Open With' combo box of the file properties
    dialog (bug #3055).
  - Expand filenames starting with './' based on the current working
    directory instead of home (bug #3451).
  - Print an error if thunar-settings fails to contact the file manager
    service (bug #6547).
  - Permanently delete files if at least one of them cannot be trashed
    (bug #6748).
  - Fix a typo in configure.in.in (bug #6724).
  - Include panel macro header (bug #6680).
  - Use GTK_STOCK_FILE as the fallback icon for files (bug #6662).
  - Fix compiler warnings about shadowed variables.
  - Use Name field as display name of desktop entries (bug #6860).
  - Fix a memory leak in thunar_transfer_job_execute().
  - Fix a segmentation fault when reloading files.
  - Avoid GIO 2.20 function calls.
  - Properly avoid launching the file manager recursively by checking
    the GAppInfo id/name.
  - Translation updates: Hungarian, German, Slovak,
    Portuguese (Brazilian), Chinese (China), Greek, Catalan (Valencian),
    Italian, Basque, Spanish (Castilian), Kazakh, Portuguese, Hebrew,
    Galician, Indonesian, Chinese (Taiwan), Japanese,
* Wed Dec  1 2010 prusnak@opensuse.org
- use pkgconfig symbol in BuildRequires
* Sat Jul 17 2010 bernhard@bwalle.de
- updated to 1.0.2
  * Build fixes for GIT and some cleanups.
  * Fix make distcheck.
  * Work around png 1.4 API change.
  * Umask < 0022 not honoured (bug #5813 and #3532).
  * Translation updates (el, es, it, gl, pl, ru, tr, ro, lv, ur,
    ur_PK, ast, hu, kk, nn, nl, am, bn, sk, ug).
- Drop thunar-libpng14.patch.
* Fri May 28 2010 andrea@opensuse.org
- removed info pages prerequires (no info pages to install)
- fixed -doc subpackage RPM group
* Mon May 24 2010 andrea@opensuse.org
- split libthunarx-1-2 and libthunar-vfs-1-2 to reduce packages
  dependencies
- added fdupes to make rpmlint happy
- move %%%%_datadir/doc/Thunar to -doc subpackage to make
  rpmlint happy
- fixed -devel subpackage RPM Group
- split -lang subpackage to reduce main package size and make
  rpmlint happy
* Thu Apr  8 2010 pgajdos@suse.cz
- build with libpng14
* Thu Mar 18 2010 prusnak@suse.cz
- added xfconf to BuildRequires/Requires
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue Apr 21 2009 prusnak@suse.cz
- updated to 1.0.1
  * Put quotes around filenames in thunar-wallpaper-plugin (bug #5056)
  * Apply umask properly when creating files/directories.
    Patch by Giovanni Bechis (bug #3532).
* Fri Feb 27 2009 prusnak@suse.cz
- updated to 1.0.0 (Xfce 4.6.0 release)
- removed obsolete patches:
  * thunar-vfs-volume-hal_missing-audio-cds-for-volman.patch
  * thunar-use-eject-where-necessary.patch
* Wed Jan 28 2009 prusnak@suse.cz
- added libexif-devel to BuildRequires
* Mon Jan 26 2009 crrodriguez@suse.de
- remove the remaining "la" files that references "libhal*.la" (1/2)
- enable-pcre used but pcre-devel not buildRequired
- needs fno-strict-aliasing to run correctly
* Wed Oct 29 2008 bwalle@suse.de
- update to Thunar 0.9.3
  o Update to latest trunk translations.
* Wed Dec 12 2007 prusnak@suse.cz
- correct eject function (use-eject-where-necessary.patch)
* Tue Dec  4 2007 prusnak@suse.cz
- fixed typo in vfs-volume-hal_missing-audio-cds-for-volman.patch
* Tue Dec  4 2007 bwalle@suse.de
- disable HAL for 10.0 because of build errors
* Mon Dec  3 2007 bwalle@suse.de
- update to Thunar 0.9.0
  o Do not display volumes without mountable file systems
  o Properly recognize OGG files as audio files for custom actions
  o Add new date renamer
  o Pass the correct $DISPLAY value to processes spawned by Thunar
    and xfdesktop in multi screen environments
  o Preselect the whole filename when renaming folders
  o Prevent infinite recursion on JPEG files with broken EXIF data
  o Fix crash on amd64
  o Add support to retry job based operations.
  o Display more details in the override dialog
  o Add support for different date/time formats
  o Fix crash on sparc64
  o Properly binaries selected for custom actions
  o Fix invalid invocation of thunar-volman for volumes that should
    be ignored
  o Reduce binary size by stripping XML comments and whitespace
  o Use the correct HAL property to determine whether a given volume
    or device requires eject
  o Automatically disable thumbnailing if storing a thumbnail fails
    because of a fatal error
  o Fix crash because of unaligned memory access
  o Fix compilation with the Sun Studio 11 compiler
  o Updated translations
* Wed Aug 15 2007 bwalle@suse.de
- moved /usr/lib{,64}/thunarx-1 from -devel package into main
  package because these files are actually plugins
* Wed Jul 18 2007 prusnak@suse.cz
- disable translating of Thunar-folder-handler desktop file
  for distributions before 10.2
- replaced obsoleted %%run_ldconfig macro with /sbin/ldconfig
* Sat Jun 23 2007 bwalle@suse.de
- replaced group 'System/GUI/Other' by 'System/GUI/Xfce'
* Tue Jun 19 2007 prusnak@suse.cz
- use %%fdupes, moved some files to -devel subpackage
* Mon Jun 11 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" from spec file
  (#254654).
* Thu Jun  7 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Tue May 22 2007 prusnak@suse.cz
- call %%suse_update_desktop_file
* Tue May 22 2007 prusnak@suse.cz
- sync with BuildService
- fixed desktop file
* Sun Jan 21 2007 bwalle@suse.de
- removed halmount patch, is no longer required
- upgraded to 0.8.0
* Wed Nov  8 2006 bwalle@suse.de
- added halmount patch, hope that it gets upstream
  (Xfce Bugzilla #2556)
- Recommends ivman
* Sat Nov  4 2006 bwalle@suse.de
- updated to 4.3.99.2 (4.4 rc2)
* Tue Sep  5 2006 bwalle@suse.de
- updated to 0.4.0rc1
- added xfce4-panel-devel as BuildRequires to build panel trash applet
* Mon Sep  4 2006 pnemec@suse.cz
- updated to new version
- new files
* Fri Aug 25 2006 bernhard.walle@gmx.de
- changed 'startup-notification' to 'startup-notification-devel' as BuildRequires
- added fam-devel as BuildRequires to build with FAM support
- added gconf2-devel as BuildRequires to build with preview support
- fixed typo in the description of -devel
- added hal-devel as Requires in the -devel package
- added startup-notification as BuildRequires for SUSE 10.0
- added gconf2-devel as BuildRequires for -devel
- added fam-devel as BuildRequires for -devel
- added startup-notification-devel as BuildRequires for -devel
* Wed Aug 23 2006 pnemec@suse.cz
- added dbus-devel to build requires
  - added hal support
  - added startup notification
* Tue Aug  1 2006 pnemec@suse.cz
- initial comment, version is 0.3.2beta2
- package moved into BuildService
- added thunar-desktop_file.patch - small modification of desktop file
